%define upstream_name    parent
%define upstream_version 0.225

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Establish an ISA relationship with base classes at compile time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/C/CO/CORION/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.400.0
BuildArch:  noarch

Provides:   perl(parent)

%description
Allows you to both load one or more modules, while setting up inheritance from
those modules at the same time.  Mostly similar in effect to

    package Baz;
    BEGIN {
        require Foo;
        require Bar;
        push @ISA, qw(Foo Bar);
    }

By default, every base class needs to live in a file of its own.
If you want to have a subclass and its parent class in the same file, you
can tell C<parent> not to load any modules by using the C<-norequire> switch:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/parent.pm

%changelog
* Thu Mar 10 2011 jquelin <jquelin> 0.225.0-1.mga1
+ Revision: 67427
- update to 0.225

* Sat Feb 26 2011 jquelin <jquelin> 0.224.0-2.mga1
+ Revision: 60626
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.224.0-1.mga1
+ Revision: 22038
- cleaning spec file
- imported package perl-parent


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.224.0-1mdv2011.0
+ Revision: 596724
- update to 0.224

* Thu Sep 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.223.0-1mdv2010.0
+ Revision: 427899
- update to 0.223

* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 0.222.0-1mdv2010.0
+ Revision: 422898
- update to 0.222

* Sun Apr 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.221-3mdv2009.1
+ Revision: 364122
- forgot to bump mkrel

* Sun Apr 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.221-2mdv2009.1
+ Revision: 364121
- adding missing provides

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.221-2mdv2009.0
+ Revision: 268913
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.221-1mdv2009.0
+ Revision: 195404
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.219-1mdv2008.1
+ Revision: 109067
- import perl-parent


